Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228155 - org.freedesktop.Hal.Device.UnknownError when inserting CD or DVD (no automount)
Summary: org.freedesktop.Hal.Device.UnknownError when inserting CD or DVD (no automount)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-10 20:05 UTC by Dennis Wagelaar
Modified: 2013-03-06 03:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 08:38:09 UTC


Attachments (Terms of Use)
Gnome mount error message (deleted)
2007-02-10 20:05 UTC, Dennis Wagelaar
no flags Details
hald error log (deleted)
2007-02-10 20:08 UTC, Dennis Wagelaar
no flags Details
Yum update history (deleted)
2007-02-14 08:26 UTC, Dennis Wagelaar
no flags Details
hald stderr log after problem went away (deleted)
2007-02-14 08:31 UTC, Dennis Wagelaar
no flags Details

Description Dennis Wagelaar 2007-02-10 20:05:01 UTC
Description of problem:
When inserting a CD or DVD in my DVD-writer, gnome fails to mount it. It gives
an error message saying: "Cannot mount volume. Error
org.freedesktop.Hal.Device.UnknownError."

Version-Release number of selected component (if applicable):
hal-0.5.8.1-6.fc6

How reproducible:
Insert CD or DVD.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No automount, but above error message. The DVD drive icon totally disappears
from nautilus, as if the drive did not exist.

Expected results:
CD or DVD mounted.

Additional info:

Before today, I've had no problems. As of today, I can't seem to mount anything
dynamic, including USB sticks and my camera. The only update that got installed
today is util-linux-2.13-0.46.fc6. Reverting to the previous util-linux did not
help. Trouble started after trying to burn a data DVD in K3B.

Comment 1 Dennis Wagelaar 2007-02-10 20:05:01 UTC
Created attachment 147840 [details]
Gnome mount error message

Comment 2 Dennis Wagelaar 2007-02-10 20:08:24 UTC
Created attachment 147841 [details]
hald error log

stderr output from 'hald --daemon=no --verbose=yes'

Comment 3 Dennis Wagelaar 2007-02-14 08:26:41 UTC
Created attachment 148041 [details]
Yum update history

The problem went away yesterday (February 13th 2007) after running a package
update. The log contains my update history.

Comment 4 Dennis Wagelaar 2007-02-14 08:31:11 UTC
Created attachment 148042 [details]
hald stderr log after problem went away

stderr output from 'hald --daemon=no --verbose=yes' after problem went away

Comment 5 Dennis Wagelaar 2007-02-14 08:38:09 UTC
Trying to burn a DVD "hangs" all applications trying to do any I/O to that
particular IDE channel (channel holds DVD writer and one harddisk containing
/home). After some time, the harddisk's partitions are mounted read-only by the
kernel, triggering several journal errors. That likely triggered this issue.

I guess this particular issue is solved. I'll do some more research on what goes
wrong on that particular IDE channel and file it in a separate bug, if necessary.


Note You need to log in before you can comment on or make changes to this bug.